var iniparser = require('iniparser');
var config = iniparser.parseSync('./config.ini');

var redis = require('redis');

redisClient = redis.createClient(config.globals.redis_port, config.globals.redis_host);

redisClient.on("pmessage", function (pattern, channel, message) {
    var gateway = channel.match(/gw:(.*)\.message$/)[1];
    console.log('---------------- ' + gateway + ':');
    console.log(message + ' (' + gateway + ')');
});

redisClient.psubscribe('echi.topup_report.*.message');
